{
  config,
  pkgs,
  lib,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;

  far-reach = pkgs.stdenv.mkDerivation rec {
    pname = "factorio-far-reach";
    version = "1.1.2";
    src = ./far-reach_1.1.2.zip;
    phases = ["installPhase"];
    deps = [];
    installPhase = ''
      mkdir -p $out
      cp $src far-reach_1.1.2.zip
    '';
  };
in {
  config = {
    services.factorio = {
      enable = true;
      port = 34197; # The default, but make it explicit
      lan = true;
      game-password = "pls-dont-grief";
      admins = [
        "doubtwriter"
        "kattykat"
      ];
      openFirewall = true;
      autosave-interval = 3;
      game-name = "Babes plays v2";
      requireUserVerification = false;
      bind = "::";
      mods = [
        far-reach
      ];
    };

    networking.firewall.allowedUDPPorts = [ 34197 ];
    networking.firewall.allowedTCPPorts = [ 34197 ];
  };
}
