{
  config,
  lib,
  ...
}:
with lib; let
  cfg = config.pub-solar.core;
  psCfg = config.pub-solar;
in {
  imports = [
    ./boot.nix
    ./hibernation.nix
    ./i18n.nix
    ./networking.nix
    ./packages.nix
  ];

  # Service that makes Out of Memory Killer more effective
  services.earlyoom.enable = true;

  services.logind.lidSwitch = "hibernate";

  services.tor.settings = {
    UseBridges = true;
  };

  # The options below are directly taken from or inspired by
  # https://xeiaso.net/blog/paranoid-nixos-2021-07-18

  # Limit the use of sudo to the group wheel
  security.sudo.execWheelOnly = true;

  # Remove the complete default environment of packages like
  # nano, perl and rsync
  environment.defaultPackages = lib.mkForce [];

  # fileSystems."/".options = [ "noexec" ];
}
