{
  lib,
  config,
  pkgs,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
in {
  services.udev.packages = [pkgs.yubikey-personalization];
  services.dbus.packages = [pkgs.gcr];
  services.pcscd.enable = true;

  services.gnome.gnome-keyring.enable = true;

  users.users."${psCfg.user.name}".packages = with pkgs; [
    libsecret
  ];

  home-manager.users."${psCfg.user.name}" = {
    systemd.user.services.polkit-gnome-authentication-agent = import ./polkit-gnome-authentication-agent.service.nix pkgs;

    services.gpg-agent = {
      enable = true;
      pinentryFlavor = "gnome3";
      verbose = true;
    };

    programs.gpg = {
      enable = true;
    };
  };
}
