{
  lib,
  config,
  pkgs,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
in {
  # Needed for the udev rules for solaar
  hardware.logitech.wireless.enable = true;

  users.users."${psCfg.user.name}".packages = with pkgs; [
    ungoogled-chromium
    wine

    gimp
    present-md
    inkscape
    gpxsee
    digikam
    nix-output-monitor
    tigervnc
    nodejs
    solaar
    insomnia
    concourse

    signal-desktop
    tdesktop
    element-desktop
    irssi

    # Nix specific utilities
    alejandra
    manix
    nix-index
    nix-tree
    nvd
  ];

  fonts = {
    fonts = with pkgs; [
      dejavu_fonts
      fira-code
      fira-code-symbols
      google-fonts
      lato
      montserrat
      nerdfonts
      noto-fonts
      noto-fonts-cjk
      open-sans
      powerline-fonts
      source-sans-pro
    ];
  };
}
