resource "hostingde_zone" "b12f" {
  name = "b12f.io"
  type = "NATIVE"
}

resource "hostingde_record" "b12f-frikandel-AAAA" {
  zone_id = hostingde_zone.b12f.id
  name = "frikandel.b12f.io"
  type = "AAAA"
  content = "2a01:4f8:c2c:b60::"
  ttl = 300
}

resource "hostingde_record" "b12f-frikandel-A" {
  zone_id = hostingde_zone.b12f.id
  name = "frikandel.b12f.io"
  type = "A"
  content = "128.140.109.213"
  ttl = 300
}

resource "hostingde_record" "b12f-frikandel-initrd-A" {
  zone_id = hostingde_zone.b12f.id
  name = "frikandel-initrd.b12f.io"
  type = "A"
  content = "128.140.109.213"
  ttl = 300
}

resource "hostingde_record" "b12f-vpn-AAAA" {
  zone_id = hostingde_zone.b12f.id
  name = "vpn.b12f.io"
  type = "AAAA"
  content = "2a01:4f8:c2c:b60::"
  ttl = 300
}

resource "hostingde_record" "b12f-vpn-A" {
  zone_id = hostingde_zone.b12f.id
  name = "vpn.b12f.io"
  type = "A"
  content = "128.140.109.213"
  ttl = 300
}

resource "hostingde_record" "b12f-web" {
  zone_id = hostingde_zone.b12f.id
  name = "b12f.io"
  type = "ALIAS"
  content = "frikandel.b12f.io"
  ttl = 300
}

resource "hostingde_record" "b12f-www" {
  zone_id = hostingde_zone.b12f.id
  name = "www.b12f.io"
  type = "CNAME"
  content = "frikandel.b12f.io"
  ttl = 300
}

resource "hostingde_record" "b12f-mail" {
  zone_id = hostingde_zone.b12f.id
  name = "mail.b12f.io"
  type = "CNAME"
  content = "frikandel.b12f.io"
  ttl = 300
}

resource "hostingde_record" "b12f-autoconfig" {
  zone_id = hostingde_zone.b12f.id
  name = "autoconfig.b12f.io"
  type = "CNAME"
  content = "mail.b12f.io"
  ttl = 300
}

resource "hostingde_record" "b12f-autodiscover" {
  zone_id = hostingde_zone.b12f.id
  name = "autodiscover.b12f.io"
  type = "CNAME"
  content = "mail.b12f.io"
  ttl = 300
}

# resource "hostingde_record" "b12f-mx" {
#   zone_id = hostingde_zone.b12f.id
#   name = "b12f.io"
#   type = "MX"
#   content = "mail.b12f.io"
#   priority = 10
#   ttl = 300
# }

resource "hostingde_record" "b12f-mta-sts" {
  zone_id = hostingde_zone.b12f.id
  name = "mta-sts.b12f.io"
  type = "CNAME"
  content = "frikandel.b12f.io"
  ttl = 300
}

resource "hostingde_record" "b12f-spf" {
  zone_id = hostingde_zone.b12f.id
  name = "b12f.io"
  type = "TXT"
  content = "\"v=spf1 a:mail.b12f.io -all\""
  ttl = 300
}

resource "hostingde_record" "b12f-dkim" {
  zone_id = hostingde_zone.b12f.id
  name = "default._domainkey.b12f.io"
  type = "TXT"
  content = "\"v=DKIM1; k=rsa;\" \"p=MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAyla9hW3TvoXvZQxwzaJ4SZ9ict1HU3E6+FWlwNIgE6tIpTCyRJtiSIUDqB8TLTIBoxIs+QQBXZi+QUi3Agu6OSY2RiV0EwO8+oOOqOD9pERftc/aqe51cXuv4kPqwvpXEBwrXFWVM+VxivEubUJ7eKkFyXJpelv0LslXv/MmYbUyed6dF+reOGZCsvnbiRv74qdxbAL/25j62E8Wr\" \"nxzJwhUtx/JhdBOjsHBvuw9hy6rZsVJL9eXayWyGRV6qmsLRzsRSBs+mDrgmKk4dugADd11+A03ics3i8hplRoWDkqnNKz1qy4f5TsV6v9283IANrAzRfHwX8EvNiFsBz+ZCQIDAQAB\""
  ttl = 300
}

resource "hostingde_record" "b12f-droppie-AAAA" {
  zone_id = hostingde_zone.b12f.id
  name = "droppie.b12f.io"
  type = "AAAA"
  content = "2a02:908:5b1:e3c0:3::"
  ttl = 300
}

resource "hostingde_record" "b12f-pie-AAAA" {
  zone_id = hostingde_zone.b12f.id
  name = "pie.b12f.io"
  type = "AAAA"
  content = "2a02:908:5b1:e3c0:2::"
  ttl = 300
}

resource "hostingde_record" "b12f-firefly" {
  zone_id = hostingde_zone.b12f.id
  name = "firefly.b12f.io"
  type = "CNAME"
  content = "pie.b12f.io"
  ttl = 300
}

resource "hostingde_record" "b12f-firefly-importer" {
  zone_id = hostingde_zone.b12f.id
  name = "firefly-importer.b12f.io"
  type = "CNAME"
  content = "pie.b12f.io"
  ttl = 300
}

resource "hostingde_record" "b12f-invoicing" {
  zone_id = hostingde_zone.b12f.id
  name = "invoicing.b12f.io"
  type = "CNAME"
  content = "pie.b12f.io"
  ttl = 300
}

resource "hostingde_record" "b12f-paperless" {
  zone_id = hostingde_zone.b12f.id
  name = "paperless.b12f.io"
  type = "CNAME"
  content = "pie.b12f.io"
  ttl = 300
}
