{
  config,
  pkgs,
  lib,
  flake,
  ...
}:
with lib; let
  psCfg = config.pub-solar;
  xdg = config.home-manager.users."${psCfg.user.name}".xdg;
in {
  home-manager.users."${psCfg.user.name}" = {
    programs.ssh = {
      enable = true;
      matchBlocks = {
        "git.pub.solar" = {
          user = "gitea";
        };

        "aur.archlinux.org" = {
          user = "aur";
        };

        "leavieler.art" = {
          hostname = "web5svsvy.wh.hosting.zone";
          user = "web5svsvy_cgzqa3";
          port = 2244;
        };

        "benjaminbaedorf.eu" = {
          hostname = "web5svsvy.wh.hosting.zone";
          user = "web5svsvy_cgzqa3";
          port = 2244;
        };

        "miom.space" = {
          hostname = "web7dgkba.wh.hosting.zone";
          user = "web7dgkba_c9em8f";
          port = 2244;
        };

        "latenight.blue" = {
          hostname = "latenight.blue";
          user = "lnb";
          extraOptions = {
            MACs = "hmac-sha2-512-etm@openssh.com";
          };
        };

        "blacktea.io" = {
          hostname = "latenight.blue";
          user = "lnb";
          extraOptions = {
            MACs = "hmac-sha2-512-etm@openssh.com";
          };
        };

        "laurakirst.de" = {
          hostname = "webj4bsux.wh.hosting.zone";
          user = "webj4bsux_36qkrk";
          port = 2244;
        };

        "pie.local" = {
          hostname = "pie.local";
          user = "yule";
        };

        "pie.b12f.io" = {
          user = "yule";
        };

        "frikandel-initrd.b12f.io" = {
          user = "root";
          port = 2222;
        };

        "frikandel.b12f.io" = {
          user = "yule";
        };

        "droppie.b12f.io" = {
          user = "yule";
        };

        "nachtigall.pub.solar" = {
          user = "barkeeper";
        };

        "flora-6.pub.solar" = {
          user = "barkeeper";
        };
      };
    };

    programs.bash.initExtra = ''
      source ${config.age.secrets.b12f-env-secrets.path}
    '';
  };

  programs.ssh.extraConfig = "
    PubkeyAcceptedKeyTypes +ssh-rsa
  ";
}
